org.sunflow.core.parser

## Class TriParser

- java.lang.Object
- - org.sunflow.core.parser.TriParser

All Implemented Interfaces:
  SceneParser

    public class TriParser
    extends java.lang.Object
    implements SceneParser

### Constructor Summary

Constructors
Constructor and Description
`TriParser()`

### Method Summary

Methods
`boolean` `parse(java.lang.String filename, SunflowAPIInterface api)` Parse the specified file to create a scene description into the provided `SunflowAPI` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TriParser

    public TriParser()

### Method Detail

#### parse

    public boolean parse(java.lang.String filename,
                SunflowAPIInterface api)

Description copied from interface: `SceneParser`
Parse the specified file to create a scene description into the provided `SunflowAPI` object.

Specified by:
  `parse` in interface `SceneParser`
Parameters:
  `filename` - filename to parse
  `api` - scene to parse the file into
Returns:
  `true` upon sucess, or `false` if errors have occured.